Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIColumn

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIColumn
                  org.richfaces.component.AbstractColumn
                      org.richfaces.component.UIColumn

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.richfaces.component.Column

    @Generated(value={"RichFaces CDK","4.3.1.Final"})
    public class UIColumn

extends AbstractColumn
implements org.richfaces.component.Column

The <rich:column> component facilitates columns in a table. It supports merging columns and rows, sorting, filtering, and customized skinning.

Author:
  Anton Belevich

Nested Class Summary
`protected static class` | `UIColumn.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIColumn()`

Method Summary
`int` | `getColspan()` Corresponds to the HTML colspan attribute
`Comparator<?>` | `getComparator()` Defines value binding to the comparator that is used to compare the values
`String` | `getFamily()`
`org.richfaces.model.Filter<?>` | `getFilter()` Provides Filter instance which determines if given row value will be displayed.
`String` | `getFilterConverterMessage()` The message to be displayed when the filter expression is not able to be evaluated using the provided filter value.
`Object` | `getFilterExpression()` Defines EL expression which returns true if given row should be displayed (EL expressions should use variable defined in filterVar attribute of dataTable)
`String` | `getFilterType()` Defines current filter type.
`Object` | `getFilterValue()` Defines current filtering value
`String` | `getFooterClass()` Assigns one or more space-separated CSS class names to any footer generated for this component
`String` | `getHeaderClass()` Assigns one or more space-separated CSS class names to any header generated for this component
`int` | `getRowspan()` Corresponds to the HTML rowspan attribute
`Object` | `getSortBy()` Defines a bean property which is used for sorting of a column.
`org.richfaces.component.SortOrder` | `getSortOrder()` Defines order which will be used for sorting column: unsorted (default), ascending, descending
`String` | `getSortType()` Defines current filtering value.
`String` | `getStyle()` CSS style rules to be applied to the component
`String` | `getStyleClass()` Assigns one or more CSS class names to the component.
`String` | `getSubmittedFilterValue()` The submitted filter value.
`String` | `getWidth()` Attribute defines width of column.
`boolean` | `isBreakRowBefore()` if "true" next column begins from the first row
`void` | `setBreakRowBefore(boolean breakRowBefore)`
`void` | `setColspan(int colspan)`
`void` | `setComparator(Comparator<?> comparator)`
`void` | `setFilter(org.richfaces.model.Filter<?> filter)`
`void` | `setFilterConverterMessage(String filterConverterMessage)`
`void` | `setFilterExpression(Object filterExpression)`
`void` | `setFilterType(String filterType)`
`void` | `setFilterValue(Object filterValue)`
`void` | `setFooterClass(String footerClass)`
`void` | `setHeaderClass(String headerClass)`
`void` | `setRowspan(int rowspan)`
`void` | `setSortBy(Object sortBy)`
`void` | `setSortOrder(org.richfaces.component.SortOrder sortOrder)`
`void` | `setSortType(String sortType)`
`void` | `setStyle(String style)`
`void` | `setStyleClass(String styleClass)`
`void` | `setSubmittedFilterValue(String submittedFilterValue)`
`void` | `setWidth(String width)`

Methods inherited from class org.richfaces.component.AbstractColumn
`getFilterField, getSortField, isBuiltInFilterControlsEnabled, isBuiltInSortControlsEnabled, useBuiltInFilter, useBuiltInSort`

Methods inherited from class javax.faces.component.UIColumn
`getFooter, getHeader, setFooter, setHeader`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIColumn

    public UIColumn()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIColumn`

### isBreakRowBefore

    public boolean isBreakRowBefore()

  Description copied from class: `AbstractColumn`
  if "true" next column begins from the first row

  Specified by:
    `isBreakRowBefore` in class `AbstractColumn`

### setBreakRowBefore

    public void setBreakRowBefore(boolean breakRowBefore)

### getColspan

    public int getColspan()

  Description copied from class: `AbstractColumn`
  Corresponds to the HTML colspan attribute

  Specified by:
    `getColspan` in class `AbstractColumn`

### setColspan

    public void setColspan(int colspan)

### getComparator

    public Comparator<?> getComparator()

  Description copied from class: `AbstractColumn`
  Defines value binding to the comparator that is used to compare the values

  Specified by:
    `getComparator` in class `AbstractColumn`

### setComparator

    public void setComparator(Comparator<?> comparator)

### getFilter

    public org.richfaces.model.Filter<?> getFilter()

  Description copied from class: `AbstractColumn`
  Provides Filter instance which determines if given row value will be displayed.

  Specified by:
    `getFilter` in class `AbstractColumn`

### setFilter

    public void setFilter(org.richfaces.model.Filter<?> filter)

### getFilterConverterMessage

    public String getFilterConverterMessage()

  Description copied from class: `AbstractColumn`
  The message to be displayed when the filter expression is not able to be evaluated using the provided filter value.

  Specified by:
    `getFilterConverterMessage` in class `AbstractColumn`

### setFilterConverterMessage

    public void setFilterConverterMessage(String filterConverterMessage)

### getFilterExpression

    public Object getFilterExpression()

  Description copied from class: `AbstractColumn`
  Defines EL expression which returns true if given row should be displayed (EL expressions should use variable defined in filterVar attribute of dataTable)

  Specified by:
    `getFilterExpression` in class `AbstractColumn`

### setFilterExpression

    public void setFilterExpression(Object filterExpression)

### getFilterType

    public String getFilterType()

  Description copied from class: `AbstractColumn`
  Defines current filter type. Possible values: string, custom. If custom is used, no filter box is created, you are responsible for e creating your own filter input Default: string

  Specified by:
    `getFilterType` in class `AbstractColumn`

### setFilterType

    public void setFilterType(String filterType)

### getFilterValue

    public Object getFilterValue()

  Description copied from class: `AbstractColumn`
  Defines current filtering value

  Specified by:
    `getFilterValue` in class `AbstractColumn`

### setFilterValue

    public void setFilterValue(Object filterValue)

### getFooterClass

    public String getFooterClass()

  Description copied from class: `AbstractColumn`
  Assigns one or more space-separated CSS class names to any footer generated for this component

  Specified by:
    `getFooterClass` in class `AbstractColumn`

### setFooterClass

    public void setFooterClass(String footerClass)

### getHeaderClass

    public String getHeaderClass()

  Description copied from class: `AbstractColumn`
  Assigns one or more space-separated CSS class names to any header generated for this component

  Specified by:
    `getHeaderClass` in class `AbstractColumn`

### setHeaderClass

    public void setHeaderClass(String headerClass)

### getRowspan

    public int getRowspan()

  Description copied from class: `AbstractColumn`
  Corresponds to the HTML rowspan attribute

  Specified by:
    `getRowspan` in class `AbstractColumn`

### setRowspan

    public void setRowspan(int rowspan)

### getSortBy

    public Object getSortBy()

  Description copied from class: `AbstractColumn`
  Defines a bean property which is used for sorting of a column.

  Specified by:
    `getSortBy` in class `AbstractColumn`

### setSortBy

    public void setSortBy(Object sortBy)

### getSortOrder

    public org.richfaces.component.SortOrder getSortOrder()

  Description copied from class: `AbstractColumn`
  Defines order which will be used for sorting column: unsorted (default), ascending, descending

  Specified by:
    `getSortOrder` in class `AbstractColumn`

### setSortOrder

    public void setSortOrder(org.richfaces.component.SortOrder sortOrder)

### getSortType

    public String getSortType()

  Description copied from class: `AbstractColumn`
  Defines current filtering value. Possible values: string, custom. If custom is used, no filter box is created, you are responsible for e creating your own filter input Default: string

  Specified by:
    `getSortType` in class `AbstractColumn`

### setSortType

    public void setSortType(String sortType)

### getStyle

    public String getStyle()

  Description copied from class: `AbstractColumn`
  CSS style rules to be applied to the component

  Specified by:
    `getStyle` in class `AbstractColumn`

### setStyle

    public void setStyle(String style)

### getStyleClass

    public String getStyleClass()

  Description copied from class: `AbstractColumn`
  Assigns one or more CSS class names to the component. Corresponds to the HTML "class" attribute.

  Specified by:
    `getStyleClass` in class `AbstractColumn`

### setStyleClass

    public void setStyleClass(String styleClass)

### getSubmittedFilterValue

    public String getSubmittedFilterValue()

  Description copied from class: `AbstractColumn`
  The submitted filter value. Set when the evaluation of the filter expression fails.

  Specified by:
    `getSubmittedFilterValue` in class `AbstractColumn`

### setSubmittedFilterValue

    public void setSubmittedFilterValue(String submittedFilterValue)

### getWidth

    public String getWidth()

  Description copied from class: `AbstractColumn`
  Attribute defines width of column.

  Specified by:
    `getWidth` in class `AbstractColumn`

### setWidth

    public void setWidth(String width)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.